As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1325332 - [EME][Fennec] Pref on EME API and make Widevine only support on M+ android version
: [EME][Fennec] Pref on EME API and make Widevine only support on M+ android v...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video: Playback (show other bugs)
: unspecified
: Unspecified Unspecified
: P3 normal with 1 vote (vote)
: mozilla53
Assigned To: James Cheng[:JamesCheng]
:
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
Depends on: 1325543
Blocks: Widevine_on_Fennec 1329557
  Show dependency treegraph
 
Reported: 2016-12-22 02:21 PST by Kilik Kuo [:kikuo]
Modified: 2017-01-10 03:18 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1325332 - [EME][Fennec] Pref on EME API and only support it for M+ android version. (59 bytes, text/x-review-board-request)
2016-12-23 00:06 PST, James Cheng[:JamesCheng]
cpearce: review+
Details | Review
Bug 1325332 - Remove EME API disabled on android constrain (59 bytes, text/x-review-board-request)
2017-01-09 00:54 PST, James Cheng[:JamesCheng]
bugs: review+
Details | Review

Description User image Kilik Kuo [:kikuo] 2016-12-22 02:21:14 PST
So that Fennec could be able to watch DRM content via Widevine CDM (if it's already downloaded)
Comment 1 User image James Cheng[:JamesCheng] 2016-12-23 00:06:35 PST Comment hidden (mozreview-request)
Comment 2 User image James Cheng[:JamesCheng] 2016-12-27 22:08:12 PST
After testing the current code on central by Shaka demo player and bitmovin DRM Test page,
we can successfully play widevine DRM content on Fennec.

Therefore, we decided to turn on the EME API on nightly to see if any potential issues and start to fix the issue on nightly. 

I will start to work on 
Bug 1302025 - (EME_Telemetry) Add telemetry to know how many users use EME on Fennec for DRM

to see the real use case of DRM on Fennec.
Comment 3 User image James Cheng[:JamesCheng] 2016-12-27 22:09:16 PST
The Widevine DRM is supported on M+ android devices.

The patch also handled this part.
Comment 4 User image Chris Pearce (:cpearce) 2017-01-07 23:56:54 PST
Comment on attachment 8821465 [details]
Bug 1325332 - [EME][Fennec] Pref on EME API and only support it for M+ android version.

https://reviewboard.mozilla.org/r/100774/#review103668

Good job making this all work.
Comment 5 User image James Cheng[:JamesCheng] 2017-01-08 19:29:41 PST
Thank you Chris for your guidance and advice for these works.

I create a follow-up Bug 1329557 for enabling the EME API on all branches not only on Nightly once we observe the Widevine solution works fine for nightly-end-users.
Comment 6 User image Pulsebot 2017-01-08 19:30:57 PST
Pushed by jacheng@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c273666082fa
[EME][Fennec] Pref on EME API and only support it for M+ android version. r=cpearce
Comment 7 User image Phil Ringnalda (:philor) 2017-01-08 21:19:54 PST
Backed out in https://hg.mozilla.org/integration/autoland/rev/b1576b5adad1 - that exposes a bunch of media properties which weren't previously exposed on Android, https://treeherder.mozilla.org/logviewer.html#?job_id=67153260&repo=autoland, so you have to update dom/tests/mochitest/general/test_interfaces.html and have a DOM peer review the fact that you meant to expose them.
Comment 8 User image James Cheng[:JamesCheng] 2017-01-09 00:54:52 PST Comment hidden (mozreview-request)
Comment 9 User image James Cheng[:JamesCheng] 2017-01-09 00:54:52 PST Comment hidden (mozreview-request)
Comment 10 User image James Cheng[:JamesCheng] 2017-01-09 00:58:56 PST
Hi smaug,
Please review this patch since we have finished implementing the EME related API on Fennec so we should remove the constrain in this test file.

Thank you.
Comment 11 User image James Cheng[:JamesCheng] 2017-01-09 18:42:45 PST
Attach treeherder result,
https://treeherder.mozilla.org/#/jobs?repo=try&revision=015940f6b5c12822402c7f1300faf59ca9243e8e
Comment 12 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2017-01-09 20:07:52 PST
Comment on attachment 8824920 [details]
Bug 1325332 - Remove EME API disabled on android constrain

https://reviewboard.mozilla.org/r/103258/#review104050
Comment 13 User image Pulsebot 2017-01-09 20:47:07 PST
Pushed by jacheng@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/8ccfba29a819
[EME][Fennec] Pref on EME API and only support it for M+ android version. r=cpearce
https://hg.mozilla.org/integration/autoland/rev/acd4177b28d7
Remove EME API disabled on android constrain r=smaug

Note You need to log in before you can comment on or make changes to this bug.